package com.salpa.subject.service;

import com.salpa.subject.domain.MonitorDatabaseType;

import java.util.List;

/**
 * @author zhuff
 */
public interface DatabaseTypeService {

    List<MonitorDatabaseType> getDatabaseTypeAll();

    List<MonitorDatabaseType> getList(String databaseType);

    int addDatabaseType(MonitorDatabaseType monitorDatabaseType);

    String checkDatabaseTypeUnique(String databaseType);

    MonitorDatabaseType getById(Integer id);

    int updateDatabaseType(MonitorDatabaseType monitorDatabaseType);

    int deleteDatabaseType(Integer id);

    String resolveDriverClassName(String jdbcDriverFileUrl);

    String resolveDriverClassNameFromLocal(String jdbcDriverFilePath);
}
